Public Member Functions

# wxRichTextStdRenderer Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextStdRenderer:
[legend]

## Detailed Description

The standard renderer for drawing bullets.

##

Library: wxRichText
Category: Rich Text

See also:
  wxRichTextRenderer, wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextStdRenderer ()
| Constructor.
virtual bool | DrawStandardBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)
| Draws a standard bullet, as specified by the value of GetBulletName.
virtual bool | DrawTextBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect, const wxString &text)
| Draws a bullet that can be described by text, such as numbered or symbol bullets.
virtual bool | DrawBitmapBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)
| Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.
virtual bool | EnumerateStandardBulletNames (wxArrayString &bulletNames)
| Enumerate the standard bullet names currently supported.

List of all members.

## Constructor & Destructor Documentation

wxRichTextStdRenderer::wxRichTextStdRenderer | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

virtual bool wxRichTextStdRenderer::DrawBitmapBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.

This function should be overridden.

Implements wxRichTextRenderer.

virtual bool wxRichTextStdRenderer::DrawStandardBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Draws a standard bullet, as specified by the value of GetBulletName.

This function should be overridden.

Implements wxRichTextRenderer.

virtual bool wxRichTextStdRenderer::DrawTextBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect,
|  | const wxString & | text |
| ) |  |  | `[virtual]`

Draws a bullet that can be described by text, such as numbered or symbol bullets.

This function should be overridden.

Implements wxRichTextRenderer.

virtual bool wxRichTextStdRenderer::EnumerateStandardBulletNames | ( | wxArrayString & | bulletNames | ) | `[virtual]`

Enumerate the standard bullet names currently supported.

This function should be overridden.

Implements wxRichTextRenderer.

|  | [ top ]